<?xml version="1.0" encoding="UTF-8"?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario usado en ejecución  
@cu CU-CO-V-01

-->

<!-- @author juan.agudelo -->
<!-- @modified fabio.navarrete -->

<p:panel xmlns="http://www.w3.org/1999/xhtml"
         xmlns:ui="http://java.sun.com/jsf/facelets"
         xmlns:f="http://java.sun.com/jsf/core"
         xmlns:h="http://java.sun.com/jsf/html"
         xmlns:p="http://primefaces.org/ui">

    <h:form id="gestionarJustificacionForm" >
        <p:messages id="gestionarJustificacionMsg" />

        <p:dataTable var="predio" rendered="#{!proyectarConservacion.tramite.mutacion or !proyectarConservacion.tramite.primera}"
                     value="#{justificacionProyeccion.predioSeleccionado}">
            <f:facet name="header">No. predial resultante</f:facet>
            <p:column>
                <f:facet name="header">Departamento</f:facet>
                <h:outputText value="#{predio.departamento.nombre}" />
            </p:column>
            <p:column>
                <f:facet name="header">Municipio</f:facet>
                <h:outputText value="#{predio.municipio.nombre}" />
            </p:column>
            <p:column>
                <f:facet name="header">Tipo predio</f:facet>
                <h:outputText value="#{predio.tipo}" id="PredioTipoV" >
                    <f:converter converterId="converterCB" for="PredioTipoV" />
                </h:outputText>
            </p:column>
            <p:column>
                <f:facet name="header">Número predial</f:facet>
                <h:outputText value="#{predio.formattedNumeroPredialCompleto}" />
            </p:column>
        </p:dataTable>

        <p:spacer height="20" width="0" />

        <p:panel header="Detalle título" id="detalleTitulo"> 

            <div style="overflow: auto; width: auto; " >
                <p:dataTable
                    value="#{justificacionProyeccion.justificacionesActuales}"
                    var="personaPredioPropiedad"  
                    emptyMessage="No hay información de documentos para mostrar">
                    <f:facet name="header">Documentos de justificación de derecho de propiedad</f:facet>


                    <p:column >
                        <f:facet name="header">Opciones</f:facet>
                        <p:graphicImage value="/imagesColorCircles/datoModificado.png" height="13" width="13" rendered="#{personaPredioPropiedad.cancelaInscribe=='C'}" title="Cancelado" />
                        <p:graphicImage value="/imagesColorCircles/datoFinal.png" height="13" width="13" rendered="#{personaPredioPropiedad.cancelaInscribe=='I'}" title="Inscrito"/>
                        <p:graphicImage value="/imagesColorCircles/datoInicial.png" height="13" width="13" rendered="#{personaPredioPropiedad.cancelaInscribe=='M'}" title="Asociado/Modificado"/>

                    </p:column>

                    <p:column>
                        <f:facet name="header">Propietarios</f:facet>
                        <h:outputText
                            value="#{personaPredioPropiedad.propietarios}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">Modo adquisición</f:facet>
                        <h:outputText id="DerechoPropiedadModoAdqCV-1"
                                      value="#{personaPredioPropiedad.modoAdquisicion}">
                            <f:converter converterId="converterCB"
                                         for="DerechoPropiedadModoAdqCV-1" />
                        </h:outputText>
                    </p:column>

                    <p:column styleClass="moneyColumn">
                        <f:facet name="header">Valor compra</f:facet>
                        <h:outputText value="#{personaPredioPropiedad.valor}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column>
                        <f:facet name="header">Tipo título</f:facet>
                        <h:outputText id="DerechoPropiedadTipoTituloCV"
                                      value="#{personaPredioPropiedad.tipoTitulo}">
                            <f:converter converterId="converterCB"
                                         for="DerechoPropiedadTipoTituloCV" />
                        </h:outputText>
                    </p:column>

                    <p:column>
                        <f:facet name="header">Departamento</f:facet>
                        <h:outputText value="#{personaPredioPropiedad.departamento.nombre}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">Municipio</f:facet>
                        <h:outputText value="#{personaPredioPropiedad.municipio.nombre}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">Oficina emisora</f:facet>
                        <h:outputText value="#{personaPredioPropiedad.entidadEmisora}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">Número título</f:facet>
                        <h:outputText value="#{personaPredioPropiedad.numeroTitulo}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column>
                        <f:facet name="header">Fecha título</f:facet>
                        <h:outputText value="#{personaPredioPropiedad.fechaTitulo}">
                            <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
                        </h:outputText>
                    </p:column>

                    <p:column>
                        <f:facet name="header">Fecha registro</f:facet>
                        <h:outputText value="#{personaPredioPropiedad.fechaRegistro}">
                            <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
                        </h:outputText>
                    </p:column>

                    <p:column>
                        <f:facet name="header">Documento</f:facet>


                        <p:commandLink
                            value="#{personaPredioPropiedad.documentoSoporte.tipoDocumento.nombre}"
                            update=":docViewer:docViewerCCForm"
                            styleClass="commandLinkStyle"
                            oncomplete="docViewerWV.show();statusDialog2.hide()"
                            onstart="statusDialog2.show()"
                            rendered="#{not empty personaPredioPropiedad.documentoSoporte.archivo}">
                            <f:setPropertyActionListener
                                target="#{previsualizacionDocumento.documentoAlfresco}"
                                value="#{personaPredioPropiedad.documentoSoporte}" />

                        </p:commandLink>
                    </p:column>

                </p:dataTable>
            </div>
            <p:spacer width="0" height="10" />

            <p:outputPanel layout="block" style="text-align:left">
                <p:commandButton
                    action="#{justificacionProyeccion.consultarHistoricoJustificacion}"
                    oncomplete="handleCompleteSIC(xhr, status, args, historicoJustificacionWV, true);"
                    title="Históricos de justificación del derecho de propiedad"
                    value="Históricos" icon="ui-icon-video" process="@this"
                    update=":historicoJustificacion:historicoJustificacionPanelGrid, gestionarJustificacionMsg" />
            </p:outputPanel>

            <p:spacer width="0" height="15" />

            <div style="overflow: auto; width: auto; " >
                <p:dataTable id="personaPredioPropiedadInscritosTable"   
                             value="#{justificacionProyeccion.justificacionesNuevas}"
                             var="personaPredioPropiedad" 
                             emptyMessage="No hay información de documentos para mostrar">
                    <f:facet name="header">Documentos nuevos de justificación de derecho de propiedad</f:facet>
                    <p:column headerText="Opciones" style="width: 100px">
                        <p:commandButton update=":nuevaJustificacionDP:nuevaJustificacionPanelGrid"
                                         action="#{justificacionProyeccion.setupJustificacionEdition}"
                                         oncomplete="nuevaJustificacionWV.show();" process="@this" 
                                         rendered="#{(personaPredioPropiedad.cancelaInscribe=='I' 
                                                     or personaPredioPropiedad.cancelaInscribe=='M' 
                                                     or proyectarConservacion.tramite.esComplementacion 
                                                     or proyectarConservacion.tramite.esRectificacion) 
                                                     and !proyectarConservacion.tramite.desenglobeEtapas}"
                                         icon="ui-icon ui-icon-pencil" title="Editar11" ajax="true"
                                         disabled="#{proyectarConservacion.tramite.quintaMasivo 
                                                     and proyectarConservacion.predioSeleccionado.predioOriginalTramite}">
                            <f:setPropertyActionListener value="#{personaPredioPropiedad}"
                                                         target="#{justificacionProyeccion.justificacionSeleccionada}" />

                        </p:commandButton>
                        <p:commandButton update=":nuevaJustificacionDP:nuevaJustificacionPanelGrid"
                                         action="#{justificacionProyeccion.setupJustificacionEdition}"
                                         oncomplete="nuevaJustificacionWV.show();" process="@this" 
                                         rendered="#{proyectarConservacion.tramite.desenglobeEtapas}"
                                         disabled="#{proyectarConservacion.predioSeleccionado.predioOriginalTramite
                                                     and !proyectarConservacion.tramite.englobeVirtual}"
                                         icon="ui-icon ui-icon-pencil" title="Editar" ajax="true">
                            <f:setPropertyActionListener value="#{personaPredioPropiedad}"
                                                         target="#{justificacionProyeccion.justificacionSeleccionada}" />
                        </p:commandButton>
                        <p:commandButton oncomplete="confirmDeleteJustificacionWV.show()" 
                                         rendered="#{(personaPredioPropiedad.cancelaInscribe=='I'
                                                     or personaPredioPropiedad.cancelaInscribe=='M')
                                                     and !proyectarConservacion.tramite.desenglobeEtapas 
                                                     and !proyectarConservacion.tramite.esComplementacion
                                                     and !proyectarConservacion.tramite.esRectificacion}"
                                         disabled="#{proyectarConservacion.tramite.rectificacionMatriz 
                                                     or (proyectarConservacion.tramite.quintaMasivo and proyectarConservacion.predioSeleccionado.predioOriginalTramite)
                                                     or (proyectarConservacion.tramite.cancelacionMasiva and proyectarConservacion.predioSeleccionado.predioOriginalTramite)}"
                                         ajax="true" icon="ui-icon ui-icon-trash" title="Eliminar">

                            <f:setPropertyActionListener value="#{personaPredioPropiedad}"
                                                         target="#{justificacionProyeccion.justificacionSeleccionada}" />
                        </p:commandButton>
                        <p:commandButton oncomplete="confirmDeleteJustificacionWV.show()" rendered="#{proyectarConservacion.tramite.desenglobeEtapas}"
                                         disabled="#{proyectarConservacion.predioSeleccionado.predioOriginalTramite and !proyectarConservacion.tramite.englobeVirtual}"
                                         ajax="true" icon="ui-icon ui-icon-trash" title="Eliminar">
                            <f:setPropertyActionListener value="#{personaPredioPropiedad}"
                                                         target="#{justificacionProyeccion.justificacionSeleccionada}" />
                        </p:commandButton>

                        <p:graphicImage value="/imagesColorCircles/datoModificado.png" height="13" width="13" rendered="#{personaPredioPropiedad.cancelaInscribe=='C'}" title="Cancelado" />
                        <p:graphicImage value="/imagesColorCircles/datoFinal.png" height="13" width="13" rendered="#{personaPredioPropiedad.cancelaInscribe=='I'}" title="Inscrito"/>
                        <p:graphicImage value="/imagesColorCircles/datoInicial.png" height="13" width="13" rendered="#{personaPredioPropiedad.cancelaInscribe=='M'}" title="Asociado/Modificado"/>

                    </p:column>

                    <p:column style="width: 200px">
                        <f:facet name="header">Propietarios</f:facet>
                        <h:outputText
                            value="#{personaPredioPropiedad.propietarios}" />
                    </p:column>

                    <p:column headerText="Modo adquisición">
                        <h:outputText id="DerechoPropiedadModoAdqCV"
                                      value="#{personaPredioPropiedad.modoAdquisicion}">
                            <f:converter converterId="converterCB"
                                         for="DerechoPropiedadModoAdqCV" />
                        </h:outputText>
                    </p:column>

                    <p:column styleClass="moneyColumn" headerText="Valor compra">
                        <h:outputText id="valorCompra" value="#{personaPredioPropiedad.valor}">
                            <f:converter converterId="converterMoneda"
                                         for="valorCompra" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Tipo título">
                        <h:outputText id="DerechoPropiedadTipoTituloCV-1"
                                      value="#{personaPredioPropiedad.tipoTitulo}">
                            <f:converter converterId="converterCB"
                                         for="DerechoPropiedadTipoTituloCV-1" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Departamento">
                        <h:outputText value="#{personaPredioPropiedad.departamento.nombre}" />
                    </p:column>

                    <p:column headerText="Municipio">
                        <h:outputText value="#{personaPredioPropiedad.municipio.nombre}" />
                    </p:column>

                    <p:column headerText="Oficina emisora">
                        <h:outputText value="#{personaPredioPropiedad.entidadEmisora}" />
                    </p:column>

                    <p:column headerText="Número título" >
                        <h:outputText value="#{personaPredioPropiedad.numeroTitulo}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Fecha título">
                        <h:outputText value="#{personaPredioPropiedad.fechaTitulo}">
                            <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Fecha registro">
                        <h:outputText value="#{personaPredioPropiedad.fechaRegistro}">
                            <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Documento" style="width: 200px" >

                        <p:commandLink
                            value="#{personaPredioPropiedad.documentoSoporte.tipoDocumento.nombre}"
                            update=":docViewer:docViewerCCForm"
                            styleClass="commandLinkStyle"
                            oncomplete="docViewerWV.show();statusDialog2.hide()"
                            onstart="statusDialog2.show()"
                            rendered="#{not empty personaPredioPropiedad.documentoSoporte.archivo}">
                            <f:setPropertyActionListener
                                target="#{previsualizacionDocumento.documentoAlfresco}"
                                value="#{personaPredioPropiedad.documentoSoporte}" />

                        </p:commandLink>

                    </p:column>
                </p:dataTable>
            </div>

            <p:outputPanel layout="block" style="text-align:left">
                <p:commandButton action="#{justificacionProyeccion.adicionarTitulo}"
                                 oncomplete="nuevaJustificacionWV.show();" value="Adicionar"
                                 rendered="#{!proyectarConservacion.tramite.modificacionInscripcionCatastral 
                                             and !proyectarConservacion.tramite.desenglobeEtapas and !proyectarConservacion.tramite.cancelacionMasiva }"
                                 title="Adicionar título" icon="ui-icon-document" 
                                 disabled="#{rc.dh or proyectarConservacion.tramite.terceraMasiva 
                                             or (proyectarConservacion.tramite.quintaMasivo and proyectarConservacion.predioSeleccionado.predioOriginalTramite)}"
                                 update=":nuevaJustificacionDP:nuevaJustificacionPanelGrid" process="@this" />
            </p:outputPanel>


            <p:outputPanel layout="block" style="text-align:left">
                <p:commandButton action="#{justificacionProyeccion.adicionarTitulo}"
                                 oncomplete="nuevaJustificacionWV.show();" value="Adicionar"
                                 rendered="#{proyectarConservacion.tramite.desenglobeEtapas and !proyectarConservacion.tramite.cancelacionMasiva}"
                                 title="Adicionar título" icon="ui-icon-document" 
                                 disabled="#{proyectarConservacion.predioSeleccionado.predioOriginalTramite
                                             and !proyectarConservacion.tramite.englobeVirtual}"
                                 update=":nuevaJustificacionDP:nuevaJustificacionPanelGrid" process="@this" />
            </p:outputPanel>

            <p:spacer height="10"/>

            <p:outputPanel layout="block" style="text-align:left" id="adicionaCancelacionMasiva">
                <p:commandButton action="#{justificacionProyeccion.adicionarTitulo}"
                                 oncomplete="nuevaJustificacionWV.show();" value="Adicionar"
                                 disabled="#{proyectarConservacion.predioSeleccionado.predioOriginalTramite}"
                                 rendered="#{proyectarConservacion.tramite.cancelacionMasiva 
                                             and justificacionProyeccion.banderaAdicionaJustificacion}"
                                 title="Adicionar título" icon="ui-icon-document"
                                 update=":nuevaJustificacionDP:nuevaJustificacionPanelGrid" process="@this" />
            </p:outputPanel>
        </p:panel>

        <p:spacer height="10"/>
        <p:outputPanel layout="block" style="text-align:left">
            <p:commandButton value="Guardar" title="Guardar" process="@this" 
                             disabled="#{(rc.dh 
                                         or proyectarConservacion.tramite.terceraMasiva 
                                         or proyectarConservacion.tramite.quintaMasivo 
                                         and proyectarConservacion.predioSeleccionado.predioOriginalTramite) 
                                         and !proyectarConservacion.tramite.desenglobeEtapas
                                         and (proyectarConservacion.tramite.cancelacionMasiva and proyectarConservacion.predioSeleccionado.predioOriginalTramite)
                            }"
                             rendered="#{(!proyectarConservacion.tramite.quintaOmitido or proyectarConservacion.tramite.quintaMasivo) and !proyectarConservacion.tramite.modificacionInscripcionCatastral}"
                             action="#{justificacionProyeccion.validarGuardar}" icon="ui-icon-disk"
                             update="gestionarJustificacionMsg" onstart="statusDialog2.show()" oncomplete="statusDialog2.hide()" />
        </p:outputPanel>

    </h:form>

</p:panel>
